Subject: Re: bug#57309: 29.0.50; Build error "trying to dump non fixed-up eln file"

From: Eli Zaretskii <[email-masked]>
Date: Sun, 21 Aug 2022 09:43:34 +0300

> From: Gerd Möllmann <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 21 Aug 2022 08:39:00 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > AFAICT, temacs didn't load window.eln, it loaded window.elc.  At least
> > that's what I see in the loadup output: it says "Loading windows...",
> > and doesn't say "(native compiled Lisp)".  Unless the message is
> > already mistaken, part of the problem.
> 
> Was that in something Lars sent?

No, I saw it in my own build (which failed in the same way).

> In the *compilation* buffer I sent it said
> 
> Loading bindings (native compiled elisp)...
> Loading window (native compiled elisp)...

That's not what I saw.